<?php
/**
 * Dynamic CSS
 */
function property_dealer_dynamic_css() {
	$property_dealer_primary_color = get_theme_mod( 'property_dealer_primary_color', '#C7805F' );
	$property_dealer_secondary_color = get_theme_mod( 'property_dealer_secondary_color', '#BD8660' );

	$property_dealer_site_title_font       = get_theme_mod( 'property_dealer_site_title_font', 'Cormorant Garamond' );
	$property_dealer_site_description_font = get_theme_mod( 'property_dealer_site_description_font', 'Yantramanav' );
	$property_dealer_header_font           = get_theme_mod( 'property_dealer_header_font', 'Cormorant Garamond' );
	$property_dealer_content_font          = get_theme_mod( 'property_dealer_content_font', 'Yantramanav' );

	// Enqueue Google Fonts
	$property_dealer_fonts_url = property_dealer_get_fonts_url();
	if ( ! empty( $property_dealer_fonts_url ) ) {
		wp_enqueue_style( 'property-dealer-google-fonts', esc_url( $property_dealer_fonts_url ), array(), null );
	}

	$property_dealer_custom_css  = '';
	$property_dealer_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $property_dealer_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';

		--secondary-color: ' . esc_attr( $property_dealer_secondary_color ) . ';

    }
    ';

	$property_dealer_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $property_dealer_content_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $property_dealer_header_font) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $property_dealer_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .banner-text {
        font-family: "' . esc_attr( $property_dealer_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $property_dealer_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'property-dealer-style', $property_dealer_custom_css );
}
add_action( 'wp_enqueue_scripts', 'property_dealer_dynamic_css', 99 );